<div class="nnr-wrap">

	<?php require_once('header.php'); ?>

	<div class="nnr-container">

		<!-- Nav tabs -->
		<ul class="nav nav-tabs" role="tablist">
			<li role="presentation" class="active"><a href="#<?php echo self::$prefix_dash; ?>settings" aria-controls="home" role="tab" data-toggle="tab"><?php _e('Settings', self::$text_domain); ?></a></li>
			<li role="presentation"><a href="#<?php echo self::$prefix_dash; ?>shortcode" aria-controls="home" role="tab" data-toggle="tab"><?php _e('Shortcode', self::$text_domain); ?></a></li>
<!-- 			<li role="presentation"><a href="#<?php echo self::$prefix_dash; ?>php-template-tags" aria-controls="home" role="tab" data-toggle="tab"><?php _e('PHP Template Tags', self::$text_domain); ?></a></li> -->
			<li role="presentation"><a href="#<?php echo self::$prefix_dash; ?>updates" aria-controls="profile" role="tab" data-toggle="tab"><?php _e('Updates', self::$text_domain); ?></a></li>
		</ul>

		<!-- Tab panes -->
		<div class="tab-content">

			<div role="tabpanel" class="tab-pane active" id="<?php echo self::$prefix_dash; ?>settings">

				<h2 id="nnr-heading"><?php _e("Settings", self::$text_domain); ?></h2>

				<form method="post" class="form-horizontal">

					<div class="panel panel-default">
						<div class="panel-heading"><?php _e('Author Photos Waterfall Logic',self::$text_domain); ?></div>
						<div class="panel-body">

							<!-- Avatar Priority -->

							<div class="<?php echo self::$prefix_dash; ?>override-avatar-logic">
		<!-- 						<label class="col-sm-3 control-label"><?php _e('Avatar Waterfall Logic',self::$text_domain); ?></label> -->
								<div>
									<p><?php _e('Author Photos will be displayed using the sequence below:', self::$text_domain); ?></p>
									<ol>
										<li><?php _e('99 Robots Author Photo set on ',self::$text_domain); ?> <a href="<?php echo get_admin_url(); ?>profile.php" target="_blank"><?php _e('user\'s profile page',self::$text_domain); ?></a></li>
										<li><?php _e('If no photo is retrieved from Step 1, display the Default 99 Robots Author Photo (i.e. set below)',self::$text_domain); ?></li>
										<li><?php _e('If no photo is retrieved from Step 2, display the', self::$text_domain); ?> <a href="https://wordpress.com/me" target="_blank"><?php _e('Gravatar',self::$text_domain); ?></a></li>
									</ol>
								</div>
							</div>

						</div>
					</div>

					<!-- Enable Author Photos -->

					<div class="form-group">
						<label for="<?php echo self::$prefix_dash; ?>override-avatar" class="col-sm-3 control-label"><?php _e('Enable Author Photos', self::$text_domain); ?></label>
						<div class="col-sm-9">
							<input type="checkbox" id="<?php echo self::$prefix_dash; ?>override-avatar" name="<?php echo self::$prefix_dash; ?>override-avatar" <?php echo isset($settings['override_avatar']) && $settings['override_avatar'] ? 'checked="checked"' : ''; ?>/>
							<label for="<?php echo self::$prefix_dash; ?>override-avatar">
					        	<span class="fa-stack fa-lg">
					            		<i class="fa fa-square-o fa-stack-1x"></i>
					            		<i class="fa fa-check fa-stack-1x"></i>
					        	</span>
					    	</label>
					    	<em class="help-block"><?php _e("When this option is enabled, all author photos on your site will follow the waterfall logic outlined above. If this is disabled, all original author photos will be shown. This setting does not affect shortcode output.",self::$text_domain); ?></em>
						</div>
					</div>

					<!-- Size -->

					<div class="form-group hidden">
						<label for="<?php echo self::$prefix_dash; ?>size" class="col-sm-3 control-label"><?php _e('Size', self::$text_domain); ?></label>
						<div class="col-sm-9">
							<select id="<?php echo self::$prefix_dash; ?>size" name="<?php echo self::$prefix_dash; ?>size">
								<option value="50" <?php selected('50', $settings['size'], true); ?>><?php _e('50 x 50', self::$text_domain); ?></option>
								<option value="75" <?php selected('75', $settings['size'], true); ?>><?php _e('75 x 75', self::$text_domain); ?></option>
								<option value="100" <?php selected('100', $settings['size'], true); ?>><?php _e('100 x 100', self::$text_domain); ?></option>
								<option value="150" <?php selected('150', $settings['size'], true); ?>><?php _e('150 x 150', self::$text_domain); ?></option>
								<option value="200" <?php selected('200', $settings['size'], true); ?>><?php _e('200 x 200', self::$text_domain); ?></option>
								<option value="300" <?php selected('300', $settings['size'], true); ?>><?php _e('300 x 300', self::$text_domain); ?></option>
							</select>
						</div>
					</div>

					<!-- Avatar -->

					<div class="form-group <?php echo self::$prefix_dash; ?>override-avatar-logic">
						<label for="<?php echo self::$prefix_dash; ?>default-avatar" class="col-sm-3 control-label"><?php _e('Default Avatar', self::$text_domain); ?></label>
						<div class="col-sm-9">

							<?php
							$image_attributes = wp_get_attachment_image_src($settings['default'], 'medium'); // returns an array

							if( $image_attributes ) {
								$image_src = $image_attributes[0];
							} else {
								$image_src = '';
							}
							?>

							<input type="button" id="<?php echo self::$prefix_dash; ?>set-avatar" class="btn btn-default" value="<?php _e('Set Avatar', self::$text_domain); ?>" />
							<input type="button" id="<?php echo self::$prefix_dash; ?>remove-avatar" class="btn btn-default" value="<?php _e('Remove Avatar', self::$text_domain); ?>" />

							<em class="help-block"><?php _e('We recommend using an image that has a 1:1 ratio.  For example, 150x150 or 300x300.', self::$text_domain); ?></em>
							<em class="help-block"><?php _e("Change your avatar on your", self::$text_domain); ?> <a href="profile.php"><?php _e("profile page", self::$text_domain); ?></a> <?php _e(". Only users with file upload capabilities can change their avatar and admins can change all user's author photos.", self::$text_domain); ?></em>

							<input type="text" class="hidden" name="<?php echo self::$prefix_dash; ?>default-avatar" id="<?php echo self::$prefix_dash; ?>default-avatar" value="<?php echo isset($settings['default']) && $settings['default'] != '' ? esc_attr($settings['default']) : ''; ?>"/>

							<div id="<?php echo self::$prefix_dash; ?>image-show" style="padding: 20px;height: 200px; min-width: 300px;<?php echo isset($image_src) && $image_src != '' ? 'background-image: url(' . $image_src . ');' : ''; ?> background-repeat: no-repeat; background-position: center left;background-size: contain;"></div>
						</div>
					</div>

					<?php wp_nonce_field(self::$prefix . 'admin_settings_nonce'); ?>

					<p class="submit">
						<button type="submit" name="submit" id="submit" class="btn btn-info"><i class="fa fa-download"></i> <?php _e("Save", self::$text_domain); ?></button>
					</p>

				</form>

			</div>

			<div role="tabpanel" class="tab-pane" id="<?php echo self::$prefix_dash; ?>shortcode">

				<h2 id="nnr-heading"><?php _e('Shortcode',self::$text_domain); ?></h2>

				<p><?php _e('This shortcode will allow you to display an Author Photo anywhere on your site.  Copy and paste this shortcode into a post ',self::$text_domain); ?> <code><?php _e('[nnr_author_photo]',self::$text_domain); ?></code></p>

				<div class="page-header">
					<h3><?php _e('Examples',self::$text_domain); ?></h3>
				</div>

				<ol>
					<li><code><?php _e('[nnr_author_photo name="true" bio="true"]',self::$text_domain); ?></code></li>
					<li><code><?php _e('[nnr_author_photo bio="true" size="full"]',self::$text_domain); ?></code></li>
					<li><code><?php _e('[nnr_author_photo text_wrap="true" align="right"]',self::$text_domain); ?></code></li>
				</ol>

				<div class="page-header">
					<h3><?php _e('Options',self::$text_domain); ?></h3>
				</div>

				<table class="table table-condensed table-responsive table-bordered table-striped">
					<thead>
						<tr>
							<th><?php _e('Name',self::$text_domain); ?></th>
							<th><?php _e('Description',self::$text_domain); ?></th>
							<th><?php _e('Default Value',self::$text_domain); ?></th>
							<th><?php _e('Options',self::$text_domain); ?></th>
							<th><?php _e('Example',self::$text_domain); ?></th>
						</tr>
					</thead>
					<tbody>
						<tr>
							<td><?php _e('user_id',self::$text_domain); ?></td>
							<td>
								<div><?php _e('The user ID of the author you want to display.',self::$text_domain); ?></div>
								<div><?php _e('Leave blank to use the author of the current post.',self::$text_domain); ?></div>
							</td>
							<td><?php _e('""',self::$text_domain); ?></td>
							<td><?php _e('Any valid user ID',self::$text_domain); ?></td>
							<td><code><?php _e('[nnr_author_photo user_id="1"]',self::$text_domain); ?></code></td>
						</tr>

						<tr>
							<td><?php _e('user_email',self::$text_domain); ?></td>
							<td>
								<div><?php _e('The user email of the author you want to display.',self::$text_domain); ?></div>
								<div><?php _e('Leave blank to use the author of the current post.',self::$text_domain); ?></div>
							</td>
							<td><?php _e('""',self::$text_domain); ?></td>
							<td><?php _e('Any valid user ID',self::$text_domain); ?></td>
							<td><code><?php _e('[nnr_author_photo user_email="bob@example.com"]',self::$text_domain); ?></code></td>
						</tr>

						<tr>
							<td><?php _e('shape',self::$text_domain); ?></td>
							<td><?php _e('The shape of the avatar image.',self::$text_domain); ?></td>
							<td><?php _e('"rounded-square"',self::$text_domain); ?></td>
							<td><?php _e('"square" or "rounded-square" or "circle"',self::$text_domain); ?></td>
							<td><code><?php _e('[nnr_author_photo shape="circle"]',self::$text_domain); ?></code></td>
						</tr>

						<tr>
							<td><?php _e('size',self::$text_domain); ?></td>
							<td><?php _e('The image size of the avatar that is displayed.',self::$text_domain); ?></td>
							<td><?php _e('"thumbnail"',self::$text_domain); ?></td>
							<td>
								<div style="width: 200px;">
									<table class="table table-condensed table-responsive table-bordered table-striped">
										<thead>
											<tr>
												<th><?php _e('Name',self::$text_domain); ?></th>
												<th><?php _e('Image Size',self::$text_domain); ?></th>
											</tr>
										</thead>
										<tbody>
											<tr>
												<td><?php _e('thumbnail',self::$text_domain); ?></td>
												<td><?php _e('50x50',self::$text_domain); ?></td>
											</tr>
											<tr>
												<td><?php _e('small',self::$text_domain); ?></td>
												<td><?php _e('100x100',self::$text_domain); ?></td>
											</tr>
											<tr>
												<td><?php _e('medium',self::$text_domain); ?></td>
												<td><?php _e('150x150',self::$text_domain); ?></td>
											</tr>
											<tr>
												<td><?php _e('large',self::$text_domain); ?></td>
												<td><?php _e('300x300',self::$text_domain); ?></td>
											</tr>
											<tr>
												<td><?php _e('full',self::$text_domain); ?></td>
												<td><?php _e('full width of container',self::$text_domain); ?></td>
											</tr>
										</tbody>
									</table>
								</div>
							</td>
							<td><code><?php _e('[nnr_author_photo size="thumbnail"]',self::$text_domain); ?></code></td>
						</tr>

						<tr>
							<td><?php _e('name',self::$text_domain); ?></td>
							<td><?php _e('Whether or not to display the author name.',self::$text_domain); ?></td>
							<td><?php _e('"false"',self::$text_domain); ?></td>
							<td><?php _e('"true" or "false"',self::$text_domain); ?></td>
							<td><code><?php _e('[nnr_author_photo name="true"]',self::$text_domain); ?></code></td>
						</tr>

						<tr>
							<td><?php _e('bio',self::$text_domain); ?></td>
							<td><?php _e('Whether or not to display the author biography.',self::$text_domain); ?></td>
							<td><?php _e('"true"',self::$text_domain); ?></td>
							<td><?php _e('"true" or "false"',self::$text_domain); ?></td>
							<td><code><?php _e('[nnr_author_photo bio="true"]',self::$text_domain); ?></code></td>
						</tr>

						<tr>
							<td><?php _e('align',self::$text_domain); ?></td>
							<td><?php _e('Alignment of the avatar, name and bio.',self::$text_domain); ?></td>
							<td><?php _e('"left"',self::$text_domain); ?></td>
							<td><?php _e('"left" or "center" or "right"',self::$text_domain); ?></td>
							<td><code><?php _e('[nnr_author_photo align="center"]',self::$text_domain); ?></code></td>
						</tr>

						<tr>
							<td><?php _e('text_wrap',self::$text_domain); ?></td>
							<td><?php _e('Wrap the contents around the text or no.',self::$text_domain); ?></td>
							<td><?php _e('"false"',self::$text_domain); ?></td>
							<td><?php _e('"true" or "false"',self::$text_domain); ?></td>
							<td><code><?php _e('[nnr_author_photo text_wrap="true"]',self::$text_domain); ?></code></td>
						</tr>

						<tr>
							<td><?php _e('css_class',self::$text_domain); ?></td>
							<td><?php _e('The CSS class that wraps the div container.',self::$text_domain); ?></td>
							<td><?php _e('""',self::$text_domain); ?></td>
							<td><?php _e('Any valid string of text staring with a letter',self::$text_domain); ?></td>
							<td><code><?php _e('[nnr_author_photo css_class="author-photo-container"]',self::$text_domain); ?></code></td>
						</tr>

					</tbody>
				</table>

			</div>

			<!--
<div role="tabpanel" class="tab-pane" id="<?php echo self::$prefix_dash; ?>php-template-tags">

				<h2 id="nnr-heading"><?php _e('PHP Template Tags',self::$text_domain); ?></h2>

				<p><?php _e('Copy and paste this php template tag anywhere you want to display an author photo.',self::$text_domain); ?></p>

<div style="max-width: 550px;">
<pre>&lt;?php $args = array(
	'user_id'		=&gt; null,
	'user_email'		=&gt; null,
	'size' 			=&gt; 'thumbnail',
	'shape' 		=&gt; 'rounded-square',
	'name'			=&gt; 'false',
	'bio'			=&gt; 'false',
	'align'			=&gt; 'left',
	'text_wrap'		=&gt; 'false',
	'css_class'		=&gt; '',
);
echo nnr_author_photo($args); ?&gt;
</pre>
</div>
				<table class="table table-condensed table-responsive table-bordered table-striped">
					<thead>
						<tr>
							<th><?php _e('Name',self::$text_domain); ?></th>
							<th><?php _e('Description',self::$text_domain); ?></th>
							<th><?php _e('Default Value',self::$text_domain); ?></th>
							<th><?php _e('Options',self::$text_domain); ?></th>
							<th><?php _e('Example',self::$text_domain); ?></th>
						</tr>
					</thead>
					<tbody>
						<tr>
							<td><?php _e('user_id',self::$text_domain); ?></td>
							<td>
								<div><?php _e('The user ID of the author you want to display.',self::$text_domain); ?></div>
								<div><?php _e('Leave blank to use the author of the current post.',self::$text_domain); ?></div>
							</td>
							<td><?php _e('null',self::$text_domain); ?></td>
							<td><?php _e('Any valid user ID',self::$text_domain); ?></td>
							<td><code>&lt;?php echo nnr_author_photo( array('user_id' =&gt; 1) ); ?&gt;</code></td>
						</tr>

						<tr>
							<td><?php _e('user_email',self::$text_domain); ?></td>
							<td>
								<div><?php _e('The user email of the author you want to display.',self::$text_domain); ?></div>
								<div><?php _e('Leave blank to use the author of the current post.',self::$text_domain); ?></div>
							</td>
							<td><?php _e('null',self::$text_domain); ?></td>
							<td><?php _e('Any valid user email',self::$text_domain); ?></td>
							<td><code>&lt;?php echo nnr_author_photo( array('user_email' =&gt; 'bob@example.com') ); ?&gt;</code></td>
						</tr>

						<tr>
							<td><?php _e('shape',self::$text_domain); ?></td>
							<td><?php _e('The shape of the avatar image.',self::$text_domain); ?></td>
							<td><?php _e('"rounded-square"',self::$text_domain); ?></td>
							<td><?php _e('"square" or "rounded-square" or "circle"',self::$text_domain); ?></td>
							<td><code>&lt;?php echo nnr_author_photo( array('shape' =&gt; 'circle') ); ?&gt;</code></td>
						</tr>

						<tr>
							<td><?php _e('size',self::$text_domain); ?></td>
							<td><?php _e('The image size of the avatar that is displayed.',self::$text_domain); ?></td>
							<td><?php _e('"thumbnail"',self::$text_domain); ?></td>
							<td>
								<div style="width: 200px;">
									<table class="table table-condensed table-responsive table-bordered table-striped">
										<thead>
											<tr>
												<th><?php _e('Name',self::$text_domain); ?></th>
												<th><?php _e('Image Size',self::$text_domain); ?></th>
											</tr>
										</thead>
										<tbody>
											<tr>
												<td><?php _e('thumbnail',self::$text_domain); ?></td>
												<td><?php _e('50x50',self::$text_domain); ?></td>
											</tr>
											<tr>
												<td><?php _e('small',self::$text_domain); ?></td>
												<td><?php _e('100x100',self::$text_domain); ?></td>
											</tr>
											<tr>
												<td><?php _e('medium',self::$text_domain); ?></td>
												<td><?php _e('150x150',self::$text_domain); ?></td>
											</tr>
											<tr>
												<td><?php _e('large',self::$text_domain); ?></td>
												<td><?php _e('300x300',self::$text_domain); ?></td>
											</tr>
											<tr>
												<td><?php _e('full',self::$text_domain); ?></td>
												<td><?php _e('full width of container',self::$text_domain); ?></td>
											</tr>
										</tbody>
									</table>
								</div>
							</td>
							<td><code>&lt;?php echo nnr_author_photo( array('size' =&gt; 'thumbnail') ); ?&gt;</code></td>
						</tr>

						<tr>
							<td><?php _e('name',self::$text_domain); ?></td>
							<td><?php _e('Whether or not to display the author name.',self::$text_domain); ?></td>
							<td><?php _e('"false"',self::$text_domain); ?></td>
							<td><?php _e('"true" or "false"',self::$text_domain); ?></td>
							<td><code>&lt;?php echo nnr_author_photo( array('name' =&gt; 'true') ); ?&gt;</code></td>
						</tr>

						<tr>
							<td><?php _e('bio',self::$text_domain); ?></td>
							<td><?php _e('Whether or not to display the author biography.',self::$text_domain); ?></td>
							<td><?php _e('"true"',self::$text_domain); ?></td>
							<td><?php _e('"true" or "false"',self::$text_domain); ?></td>
							<td><code>&lt;?php echo nnr_author_photo( array('bio' =&gt; 'true') ); ?&gt;</code></td>
						</tr>

						<tr>
							<td><?php _e('align',self::$text_domain); ?></td>
							<td><?php _e('Alignment of the avatar, name and bio.',self::$text_domain); ?></td>
							<td><?php _e('"left"',self::$text_domain); ?></td>
							<td><?php _e('"left" or "center" or "right"',self::$text_domain); ?></td>
							<td><code>&lt;?php echo nnr_author_photo( array('align' =&gt; 'right') ); ?&gt;</code></td>
						</tr>

						<tr>
							<td><?php _e('text_wrap',self::$text_domain); ?></td>
							<td><?php _e('Wrap the contents around the text or no.',self::$text_domain); ?></td>
							<td><?php _e('"false"',self::$text_domain); ?></td>
							<td><?php _e('"true" or "false"',self::$text_domain); ?></td>
							<td><code>&lt;?php echo nnr_author_photo( array('text_wrap' =&gt; 'true') ); ?&gt;</code></td>
						</tr>

						<tr>
							<td><?php _e('css_class',self::$text_domain); ?></td>
							<td><?php _e('The CSS class that wraps the div container.',self::$text_domain); ?></td>
							<td><?php _e('""',self::$text_domain); ?></td>
							<td><?php _e('Any valid string of text staring with a letter',self::$text_domain); ?></td>
							<td><code>&lt;?php echo nnr_author_photo( array('css_class' =&gt; 'author-photo-container') ); ?&gt;</code></td>
						</tr>

					</tbody>
				</table>

			</div>
-->

			<div role="tabpanel" class="tab-pane" id="<?php echo self::$prefix_dash; ?>updates">

				<h2 id="nnr-heading"><?php _e("Updates", self::$text_domain); ?></h2>

				<div class="form-horizontal">

					<div class="form-group has-feedback <?php echo self::$prefix_dash; ?>license-key-feedback">
						<label class="control-label col-sm-3"><?php _e("License Key", self::$text_domain); ?></label>

						<div class="col-sm-9">
							<div class="col-sm-8" style="padding-left:0px;">
								<input type="text" class="form-control <?php echo self::$prefix_dash; ?>license-key" value="<?php echo $license_key; ?>" placeholder="<?php _e('Enter your License Key', self::$text_domain); ?>"/>
							</div>
						</div>

					</div>

					<!-- Check PHP Version -->

					<?php if ( version_compare(phpversion(), NNROBOTS_AUTHOR_PHOTO_MIN_PHP_VERSION) < 1 ) { ?>

						<div class="form-group has-feedback has-error">
							<label class="col-sm-3 control-label"><?php _e("PHP Version Info", self::$text_domain); ?></label>
							<div class="col-sm-9">
								<p class="form-control-static" style="color:#a94442;"><?php _e('The required minimum version of PHP is <strong>v' . NNROBOTS_AUTHOR_PHOTO_MIN_PHP_VERSION . '</strong> and your version is <strong>v' . phpversion() . '</strong>. Your version of PHP is outdated and we strongly recommend that you <a href="https://99robots.com/?p=7356" target="_blank">update</a> your version of PHP to at least <strong>v' . NNROBOTS_AUTHOR_PHOTO_MIN_PHP_VERSION . '</strong>.', self::$text_domain); ?></p>
							</div>
						</div>

					<?php } else { ?>

						<div class="form-group">
							<label class="col-sm-3 control-label"><?php _e("PHP Version Info", self::$text_domain); ?></label>
							<div class="col-sm-9">
								<p class="form-control-static"><?php _e('The required minimum version of PHP is <strong>v' . NNROBOTS_AUTHOR_PHOTO_MIN_PHP_VERSION . '</strong> and your version is <strong>v' . phpversion() . '</strong>. You have a sufficient version of a PHP.', self::$text_domain); ?></p>
							</div>
						</div>

					<?php } ?>

					<!-- Display WordPress and Plguin Version -->

					<div class="form-group">
						<label class="col-sm-3 control-label"><?php _e("Version Info", self::$text_domain); ?></label>
						<div class="col-sm-9">
							<p class="form-control-static"><?php _e("You are currently running " . NNROBOTS_AUTHOR_PHOTO_ITEM_NAME . "  <strong>v" . NNROBOTS_AUTHOR_PHOTO_VERSION_NUM . "</strong> on WordPress <strong>v" . $wp_version . '</strong>', self::$text_domain); ?></p>
						</div>
					</div>

				</div>

			</div>

		</div>

	</div>

	<?php require_once('footer.php'); ?>

</div>