/*
 * Created by Kyle Benk
 * http://kylebenkapps.com
 */

jQuery(document).ready(function($) {

	// Hide and show avatar buttons

	$('#' + nnr_ap_data.prefix_dash + 'set-avatar').hide();
	$('#' + nnr_ap_data.prefix_dash + 'remove-avatar').hide();

	if ( $('#' + nnr_ap_data.prefix_dash + 'default-avatar').val() != '' ) {
		$('#' + nnr_ap_data.prefix_dash + 'remove-avatar').show();
	} else {
		$('#' + nnr_ap_data.prefix_dash + 'set-avatar').show();
	}

    // Avatar Upload

	$('#' + nnr_ap_data.prefix_dash + 'set-avatar').click(function(e) {

		e.stopImmediatePropagation();
	    e.preventDefault();

		var avatar_uploader = wp.media().on('select', function() {
	        var attachment = avatar_uploader.state().get('selection').first().toJSON();
	        $('#' + nnr_ap_data.prefix_dash + 'image-show').css('background-image', 'url(' + attachment.url + ')');
	        $('#' + nnr_ap_data.prefix_dash + 'default-avatar').val(attachment.id);
	    }).open();

	    $('#' + nnr_ap_data.prefix_dash + 'set-avatar').hide();
	    $('#' + nnr_ap_data.prefix_dash + 'remove-avatar').show();
	});

	$('#' + nnr_ap_data.prefix_dash + 'remove-avatar').click(function(e){

		e.preventDefault();

		$('#' + nnr_ap_data.prefix_dash + 'image-show').css('background-image', '');
	    $('#' + nnr_ap_data.prefix_dash + 'default-avatar').val('');

		$('#' + nnr_ap_data.prefix_dash + 'set-avatar').show();
	    $('#' + nnr_ap_data.prefix_dash + 'remove-avatar').hide();
	});

});