<?php

	//if uninstall not called from WordPress exit
	if ( !defined( 'WP_UNINSTALL_PLUGIN' ) )
		exit ();

	/* Delete all existence of this plugin */

	global $wpdb;

	$user_option_name = 'nnrobotos_author_photo_attachment_id';
	$option_name = 'nnrobotos_author_photo_settings';
	$version_option_name = 'nnrobotos_author_photo_version';

	if ( !is_multisite() )
	{

		/* Delete user meta data */

		$users = get_users();

		foreach ($users as $item) {
			delete_user_meta($item->ID, $user_option_name);
		}

		delete_option($option_name);
		delete_option($version_option_name);
	}
	else
	{
	    $blog_ids = $wpdb->get_col( "SELECT blog_id FROM $wpdb->blogs" );

	    foreach ( $blog_ids as $blog_id )
	    {
	        switch_to_blog( $blog_id );

	        /* User meta data */

	        $users = get_users();

			foreach ($users as $item) {
				delete_user_meta($item->ID, $user_option_name);
			}
	    }
	    restore_current_blog();

	    delete_site_option($option_name);
	    delete_site_option($version_option_name);
	}
?>